#!/usr/bin/make -f

OPTIONS = -DLLVM_TARGETS_TO_BUILD="Native" \
  -DLLVM_ENABLE_ASSERTIONS="OFF" \
  -DCMAKE_BUILD_TYPE="Release" \
  -DLLVM_BUILD_TESTS="OFF" \
  -DLLVM_INCLUDE_TESTS="OFF" \
  -DLLVM_BUILD_EXAMPLES="OFF" \
  -DLLVM_INCLUDE_EXAMPLES="OFF" \
  -DCMAKE_EXE_LINKER_FLAGS="-Wl,--build-id" \
  -DLLVM_ENABLE_LIBXML2="OFF" \
  -DLLVM_ENABLE_TERMINFO="OFF" \
  -DLLVM_TOOLS_TO_BUILD="opt;llc;llvm-config;llvm-dis;llvm-as" \
  -DCMAKE_INSTALL_PREFIX=/usr/lib/mono/llvm

%:
	dh $@ --sourcedirectory=llvm --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- $(OPTIONS)
